/**
 * Created by rockyl on 2019-11-16.
 */

let effect = engine.findVariable('effect', args, props);
let effectParams = engine.findVariable('effectParams', args, props);

let options = {
	effect,
	effectParams,
};
if(props.closeAll){
	engine.gameStage.popupContainer.popAll(null, options);
}else{
	engine.gameStage.popupContainer.pop(options);
}
next('complete');
